Page MenuHomePhabricator

Remove common terms queries from CirrusSearch
Closed, ResolvedPublic

Description

Scenario: The aggressive recall profile will display results even if some words are missing # features/commonterms_api.feature:24
  When I activate common terms query with the aggressive_recall profile                     # features/step_definitions/search_steps.rb:24
  And I api search for a cool wordtest with Relevancytwo is bliss                           # features/step_definitions/search_steps.rb:30
  Then Relevancytwo Wordtest is the first api search result                                 # features/step_definitions/search_steps.rb:312
    expected ["Wordtest Relevancytwo"] to include "Relevancytwo Wordtest" (RSpec::Expectations::ExpectationNotMetError)

This looks to just be a change in ordering, and not a change in what exactly gets returned. That's probably ok? Either fix the code or fix the test, whatever seems most reasonable.

es 1.7: http://cirrustest-cirrus-browser-bot.wmflabs.org/w/index.php?search=a+cool+wordtest+with+Relevancytwo+is+bliss&title=Special:Search&go=Go&cirrusUseCommonTermsQuery=yes&cirrusCommonTermsQueryProfile=aggressive_recall
es 2.3: http://cirrustest-searchdemo.wmflabs.org/w/index.php?search=a+cool+wordtest+with+Relevancytwo+is+bliss&title=Special:Search&go=Go&cirrusUseCommonTermsQuery=yes&cirrusCommonTermsQueryProfile=aggressive_recall

Details

Related Gerrit Patches:
mediawiki/extensions/CirrusSearch : es2.xDrop support for common terms query

Event Timeline

Restricted Application added projects: Discovery, Discovery-Search. · View Herald TranscriptApr 26 2016, 10:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Wondering if we should not simply drop this common terms query builder, I'm not sure we'll use it.

This looks to also be fixed now, probably as a result of fixing the incoming links job? We could still drop it as an unused feature though.

Agreed to remove. Since this test pass now I'll fix other problems first.

EBernhardson renamed this task from Fix common terms test with aggressive recall profile in es2.x branch to Remove common terms queries from CirrusSEarch.May 5 2016, 5:44 PM
Deskana renamed this task from Remove common terms queries from CirrusSEarch to Remove common terms queries from CirrusSearch.May 5 2016, 5:47 PM

Change 287125 had a related patch set uploaded (by EBernhardson):
Drop support for common terms query

https://gerrit.wikimedia.org/r/287125

Change 287125 merged by jenkins-bot:
Drop support for common terms query

https://gerrit.wikimedia.org/r/287125

Deskana closed this task as Resolved.May 11 2016, 10:35 PM
Deskana triaged this task as Medium priority.